Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.type
Class AnyItemType

    java.lang.Object
      net.sf.saxon.type.AnyItemType

All Implemented Interfaces:
  Serializable, ItemType

    public class AnyItemType

extends Object
implements ItemType, Serializable

An implementation of ItemType that matches any item (node or atomic value)

See Also:
  Serialized Form

Method Summary
`AtomicType` | `getAtomizedItemType()` Get the item type of the atomic values that will be produced when an item of this type is atomized
`static AnyItemType` | `getInstance()` Factory method to get the singleton instance
`ItemType` | `getPrimitiveItemType()` Get the primitive item type corresponding to this item type.
`int` | `getPrimitiveType()` Get the primitive type corresponding to this item type.
`ItemType` | `getSuperType(TypeHierarchy th)` Get the type from which this item type is derived by restriction.
`int` | `hashCode()` Returns a hash code value for the object.
`boolean` | `isAtomicType()` Determine whether this item type is atomic (that is, whether it can ONLY match atomic values)
`boolean` | `isAtomizable()` Ask whether values of this type are atomizable
`boolean` | `matchesItem(Item item, boolean allowURIPromotion, Configuration config)` Test whether a given item conforms to this type
`String` | `toString()`
`String` | `toString(NamePool pool)` Produce a representation of this type name for use in error messages.
`void` | `visitNamedSchemaComponents(SchemaComponentVisitor visitor)` Visit all the schema components used in this ItemType definition

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static AnyItemType getInstance()

  Factory method to get the singleton instance

### isAtomicType

    public boolean isAtomicType()

  Determine whether this item type is atomic (that is, whether it can ONLY match atomic values)

  Specified by:
    `isAtomicType` in interface `ItemType`
  Returns:
    false: this type can match nodes or atomic values

### matchesItem

    public boolean matchesItem(Item item,
                               boolean allowURIPromotion,
                               Configuration config)

  Test whether a given item conforms to this type

  Specified by:
    `matchesItem` in interface `ItemType`
  Parameters:
    `item` - The item to be tested
    `allowURIPromotion` -
    `config` -
  Returns:
    true if the item is an instance of this type; false otherwise

### getSuperType

    public ItemType getSuperType(TypeHierarchy th)

  Description copied from interface: `ItemType`
  Get the type from which this item type is derived by restriction. This is the supertype in the XPath type heirarchy, as distinct from the Schema base type: this means that the supertype of xs:boolean is xs:anyAtomicType, whose supertype is item() (rather than xs:anySimpleType).

  In fact the concept of "supertype" is not really well-defined, because the types form a lattice rather than a hierarchy. The only real requirement on this function is that it returns a type that strictly subsumes this type, ideally as narrowly as possible.

  Specified by:
    `getSuperType` in interface `ItemType`
  Parameters:
    `th` - the type hierarchy cache
  Returns:
    the supertype, or null if this type is item()

### getPrimitiveItemType

    public ItemType getPrimitiveItemType()

  Get the primitive item type corresponding to this item type. For item(), this is Type.ITEM. For node(), it is Type.NODE. For specific node kinds, it is the value representing the node kind, for example Type.ELEMENT. For anyAtomicValue it is Type.ATOMIC_VALUE. For numeric it is Type.NUMBER. For other atomic types it is the primitive type as defined in XML Schema, except that INTEGER is considered to be a primitive type.

  Specified by:
    `getPrimitiveItemType` in interface `ItemType`

### getPrimitiveType

    public int getPrimitiveType()

  Description copied from interface: `ItemType`
  Get the primitive type corresponding to this item type. For item(), this is Type.ITEM. For node(), it is Type.NODE. For specific node kinds, it is the value representing the node kind, for example Type.ELEMENT. For anyAtomicValue it is Type.ATOMIC_VALUE. For numeric it is Type.NUMBER. For other atomic types it is the primitive type as defined in XML Schema, except that INTEGER is considered to be a primitive type.

  Specified by:
    `getPrimitiveType` in interface `ItemType`

### getAtomizedItemType

    public AtomicType getAtomizedItemType()

  Description copied from interface: `ItemType`
  Get the item type of the atomic values that will be produced when an item of this type is atomized

  Specified by:
    `getAtomizedItemType` in interface `ItemType`
  Returns:
    the item type of the atomic values that will be produced when an item of this type is atomized

### isAtomizable

    public boolean isAtomizable()

  Ask whether values of this type are atomizable

  Specified by:
    `isAtomizable` in interface `ItemType`
  Returns:
    true unless it is known that these items will be elements with element-only content, in which case return false

### visitNamedSchemaComponents

    public void visitNamedSchemaComponents(SchemaComponentVisitor visitor)
                                    throws XPathException

  Visit all the schema components used in this ItemType definition

  Specified by:
    `visitNamedSchemaComponents` in interface `ItemType`
  Parameters:
    `visitor` - the visitor class to be called when each component is visited
  Throws:
    `XPathException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toString

    public String toString(NamePool pool)

  Description copied from interface: `ItemType`
  Produce a representation of this type name for use in error messages. Where this is a QName, it will use conventional prefixes

  Specified by:
    `toString` in interface `ItemType`
  Parameters:
    `pool` - the name pool
  Returns:
    a string representation of the type, in notation resembling but not necessarily identical to XPath syntax

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.